<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/

namespace modul_application;
class ESPCMS_TemplateDB {

	public static function get_templates_code_view($templates_code = false, $styleclass = 'email', $return_key = false) {
		if (!$templates_code || !preg_match("/^[\w]+$/i", $templates_code) || !$styleclass) {
			return false;
		}
		$lng = espcms_lancode();
		$db_table = ESPCMS_DB_PREFIX . 'templates';
		$talbe_field_array = espcms_field_out($db_table);
		$db_where = "WHERE templatecode='$templates_code' AND styleclass='$styleclass' AND lng='$lng'";
		$read = espcms_db_read($db_table, $db_where, $talbe_field_array);
		if (!$read) {
			return false;
		}
		return !$return_key ? $read : $read[$return_key];
	}
}
